Bug 825271 - QuickStart Issue: twt - Internal Server Error
QuickStart Issue: twt - Internal Server Error
Status: CLOSED NOTABUG
Product: OpenShift Origin
Classification: Red Hat
Component: Templates (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Mrunal Patel
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-25 10:08 EDT by Attila Nagy
Modified: 2015-05-14 21:55 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-25 06:37:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Attila Nagy 2012-05-25 10:08:24 EDT
Description of problem: App twt has Internal Server Errors

[Fri May 25 10:03:59 2012] [notice] mod_bw : Memory Allocated 32 bytes (each conf takes 32 bytes)
[Fri May 25 10:03:59 2012] [notice] mod_bw : Version 0.8 - Initialized [1 Confs]
[Fri May 25 10:03:59 2012] [notice] Apache/2.2.15 (Unix) mod_wsgi/3.2 Python/2.6.6 configured -- resuming normal operations
[Fri May 25 10:04:05 2012] [error] [client 127.0.251.129] mod_wsgi (pid=16010): Target WSGI script '/var/lib/stickshift/afed038ae03647fbb08c3a3fdf203aaa/app/repo/wsgi/application' cannot be loaded as Python module.
[Fri May 25 10:04:05 2012] [error] [client 127.0.251.129] mod_wsgi (pid=16010): Exception occurred processing WSGI script '/var/lib/stickshift/afed038ae03647fbb08c3a3fdf203aaa/app/repo/wsgi/application'.
[Fri May 25 10:04:05 2012] [error] [client 127.0.251.129] Traceback (most recent call last):
[Fri May 25 10:04:05 2012] [error] [client 127.0.251.129]   File "/var/lib/stickshift/afed038ae03647fbb08c3a3fdf203aaa/app/repo/wsgi/application", line 13, in <module>
[Fri May 25 10:04:05 2012] [error] [client 127.0.251.129]     from twtapp import application
[Fri May 25 10:04:05 2012] [error] [client 127.0.251.129]   File "/var/lib/stickshift/afed038ae03647fbb08c3a3fdf203aaa/app/repo/wsgi/twtapp.py", line 12, in <module>
[Fri May 25 10:04:05 2012] [error] [client 127.0.251.129]     os.environ['OPENSHIFT_NOSQL_DB_HOST'],
[Fri May 25 10:04:05 2012] [error] [client 127.0.251.129]   File "/usr/lib64/python2.6/UserDict.py", line 22, in __getitem__
[Fri May 25 10:04:05 2012] [error] [client 127.0.251.129]     raise KeyError(key)
[Fri May 25 10:04:05 2012] [error] [client 127.0.251.129] KeyError: 'OPENSHIFT_NOSQL_DB_HOST'
[Fri May 25 10:04:06 2012] [error] [client 127.0.251.129] mod_wsgi (pid=16317): Target WSGI script '/var/lib/stickshift/afed038ae03647fbb08c3a3fdf203aaa/app/repo/wsgi/application' cannot be loaded as Python module.
[Fri May 25 10:04:06 2012] [error] [client 127.0.251.129] mod_wsgi (pid=16317): Exception occurred processing WSGI script '/var/lib/stickshift/afed038ae03647fbb08c3a3fdf203aaa/app/repo/wsgi/application'.
[Fri May 25 10:04:06 2012] [error] [client 127.0.251.129] Traceback (most recent call last):
[Fri May 25 10:04:06 2012] [error] [client 127.0.251.129]   File "/var/lib/stickshift/afed038ae03647fbb08c3a3fdf203aaa/app/repo/wsgi/application", line 13, in <module>
[Fri May 25 10:04:06 2012] [error] [client 127.0.251.129]     from twtapp import application
[Fri May 25 10:04:06 2012] [error] [client 127.0.251.129]   File "/var/lib/stickshift/afed038ae03647fbb08c3a3fdf203aaa/app/repo/wsgi/twtapp.py", line 12, in <module>
[Fri May 25 10:04:06 2012] [error] [client 127.0.251.129]     os.environ['OPENSHIFT_NOSQL_DB_HOST'],
[Fri May 25 10:04:06 2012] [error] [client 127.0.251.129]   File "/usr/lib64/python2.6/UserDict.py", line 22, in __getitem__
[Fri May 25 10:04:06 2012] [error] [client 127.0.251.129]     raise KeyError(key)
[Fri May 25 10:04:06 2012] [error] [client 127.0.251.129] KeyError: 'OPENSHIFT_NOSQL_DB_HOST'



Version-Release number of selected component (if applicable): ami-ba9137d3


How reproducible: Always


Steps to Reproduce:
1. Follow the instructions on https://github.com/openshift/openshift-twt-mongo-demo

  
Actual results: 500 Internal Server Error (See above logs)


Expected results: The application must be installed successfully


Additional info:
Comment 1 Dan McPherson 2012-05-25 15:27:56 EDT
This appears to be related to typeless gears changes.
Comment 2 Mrunal Patel 2012-05-25 15:38:47 EDT
The template path needs to be changed in wsgi/twtapp.py:

   os.path.join(os.environ['OPENSHIFT_GEAR_DIR'],
-               'runtime/repo/wsgi/views/'))
+               'repo/wsgi/views/'))
Comment 3 Attila Nagy 2012-06-25 06:37:32 EDT
Cannot reproduce
Closing the bug

Note You need to log in before you can comment on or make changes to this bug.